Package Gnumed :: Package wxpython :: Package gui :: Module gmConfigRegistry :: Class cConfTree |
[frames] | no frames]

# Class cConfTree

source code

    wx.TreeCtrl --+
                  |
                 cConfTree

This wx.TreeCtrl derivative displays a tree view of configuration parameter names.

Instance Methods
__init__(self, parent, id, size=wx.DefaultSize, pos=wx.DefaultPosition, style=None, configSources=None, rootLabel="", paramWidgets=None) Set up our specialised tree. | source code
update(self) | source code
SaveCurrParam(self) save parameter dialog | source code
OnActivate(self, event) | source code
OnRightDown(self, event) | source code